macOS 10.12.x < 10.12.1 Multiple Vulnerabilities

Critical Nessus Plugin ID 94253

Synopsis

The remote host is missing a macOS update that fixes multiple security vulnerabilities.

Description

The remote host is running a version of Mac OS X that is 10.12.x prior to macOS 10.12.1. It is, therefore, affected by multiple vulnerabilities in the following components :

- ATS
- AppleMobileFileIntegrity
- AppleSMC
- CFNetwork Proxies
- CoreGraphics
- FaceTime
- FontParser
- IDS - Connectivity
- Kernel
- libarchive
- libxpc
- ntfs
- Security
- Thunderbolt

Note that successful exploitation of the most serious issues can result in arbitrary code execution.

Solution

Upgrade to macOS version 10.12.1 or later.

See Also

https://support.apple.com/en-us/HT207275

http://www.nessus.org/u?d9a074e5

Plugin Details

Severity: Critical

ID: 94253

File Name: macos_10_12_1.nasl

Version: 1.12

Type: combined

Agent: macosx

Published: 2016/10/25

Updated: 2018/07/16

Dependencies: 11936, 12634

Risk Information

Risk Factor: Critical

CVSS v2.0

Base Score: 10

Temporal Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSS v3.0

Base Score: 9.8

Temporal Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:apple:mac_os_x, cpe:/o:apple:macos

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2016/10/24

Vulnerability Publication Date: 2016/10/24

Reference Information

CVE: CVE-2016-4660, CVE-2016-4661, CVE-2016-4667, CVE-2016-4669, CVE-2016-4670, CVE-2016-4673, CVE-2016-4674, CVE-2016-4675, CVE-2016-4678, CVE-2016-4679, CVE-2016-4688, CVE-2016-4721, CVE-2016-4780, CVE-2016-7577, CVE-2016-7579, CVE-2016-7584, CVE-2016-7613

BID: 93849, 93852, 93856, 94116, 94429, 94433, 94571, 94572, 96332

APPLE-SA: APPLE-SA-2016-10-24-2